Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.dom
Class NamedNode

    java.lang.Object
      org.exist.dom.NodeImpl
          org.exist.dom.StoredNode
              org.exist.dom.NamedNode

All Implemented Interfaces:
  org.w3c.dom.Node, QNameable, Visitable

Direct Known Subclasses:
  AttrImpl, ElementImpl

public class NamedNode
extends StoredNode
implements QNameable

A node with a QName, i.e. an element or attribute.

Author:
  wolf

Field Summary

Fields inherited from class org.exist.dom.StoredNode
`UNKNOWN_NODE_IMPL_ADDRESS`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`NamedNode(NamedNode other)`
`NamedNode(short nodeType)`
`NamedNode(short nodeType, NodeId nodeId, QName qname)`
`NamedNode(short nodeType, QName qname)`

Method Summary
`void` | `clear()` Reset this object to its initial state.
`QName` | `getQName()`
`void` | `setNodeName(QName name)` Set the node name.

Methods inherited from class org.exist.dom.StoredNode
`accept, accept, deserialize, deserialize, equals, getBroker, getDocId, getInternalAddress, getNextSibling, getNodeId, getNodeType, getOwnerDocument, getParentNode, getPath, getPreviousSibling, release, serialize, setInternalAddress, setNodeId, setOwnerDocument, toString, toString`

Methods inherited from class org.exist.dom.NodeImpl
`appendChild, appendChildren, cloneNode, compareDocumentPosition, getAttributes, getAttributesCount, getBaseURI, getChildCount, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNodeName, getNodeValue, getPrefix, getTextContent, getUserData, hasAttributes, hasChildNodes, insertAfter, insertAfter, insertBefore, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, removeChild, replaceChild, replaceChild, setAttributes, setNodeValue, setPrefix, setTextContent, setUserData, supports, updateChild, updateChild`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedNode

    public NamedNode(short nodeType)

### NamedNode

    public NamedNode(short nodeType,
                     QName qname)

Parameters:
  `nodeType` -

### NamedNode

    public NamedNode(short nodeType,
                     NodeId nodeId,
                     QName qname)

Parameters:
  `nodeId` -
  `qname` -
  `nodeType` -

### NamedNode

    public NamedNode(NamedNode other)

Method Detail

### getQName

    public QName getQName()

  Specified by:
    `getQName` in interface `QNameable`
  Overrides:
    `getQName` in class `StoredNode`

### setNodeName

    public void setNodeName(QName name)

  Description copied from class: `NodeImpl`
  Set the node name.

  Overrides:
    `setNodeName` in class `NodeImpl`
  Parameters:
    `name` - The new nodeName value

### clear

    public void clear()

  Description copied from class: `StoredNode`
  Reset this object to its initial state. Required by the parser to be able to reuse node objects.

  Overrides:
    `clear` in class `StoredNode`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.